Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Publish\Core\MVC\Symfony\Security\Authentication\AuthenticatorInterface Interface Reference

This interface is to be implemented by authenticator classes. More...

Inheritance diagram for eZ\Publish\Core\MVC\Symfony\Security\Authentication\AuthenticatorInterface:

## Public Member Functions
| authenticate (Request $request)
| Runs authentication against provided request and returns the authenticated security token. More...
| logout (Request $request)
| Performs logout by running configured logout handlers. More...

## Detailed Description

This interface is to be implemented by authenticator classes.

Authenticators are meant to be used to run authentication programmatically, i.e. outside the firewall context.

Definition at line 15 of file AuthenticatorInterface.php.

## Member Function Documentation

## ◆ authenticate()

eZ\Publish\Core\MVC\Symfony\Security\Authentication\AuthenticatorInterface::authenticate | ( | Request | $request | ) |

Runs authentication against provided request and returns the authenticated security token.

This method typically does:

- The authentication by itself (i.e. matching a user)
- User type checks (e.g. check user activation)
- Inject authenticated token in the SecurityContext
- (optional) Trigger SecurityEvents::INTERACTIVE_LOGIN event

Parameters

  \Symfony\Component\HttpFoundation\Request | $request |

Returns
  \Symfony\Component\Security\Core\Authentication\Token\TokenInterface

Exceptions

Implemented in eZ\Publish\Core\REST\Server\Security\RestAuthenticator.

## ◆ logout()

eZ\Publish\Core\MVC\Symfony\Security\Authentication\AuthenticatorInterface::logout | ( | Request | $request | ) |

Performs logout by running configured logout handlers.

Parameters

  \Symfony\Component\HttpFoundation\Request | $request |

Returns
  \Symfony\Component\HttpFoundation\Response

Implemented in eZ\Publish\Core\REST\Server\Security\RestAuthenticator.

The documentation for this interface was generated from the following file:

- AuthenticatorInterface.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.